# Uses of Class
java.security.Policy

Packages that use Policy
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of Policy in java.security

Methods in java.security that return Policy
Modifier and Type
Method
Description
`static Policy`
Policy.`getInstance(String type, Policy.Parameters params)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a Policy object of the specified type.
`static Policy`
Policy.`getInstance(String type, Policy.Parameters params, String provider)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a `Policy` object of the specified type.
`static Policy`
Policy.`getInstance(String type, Policy.Parameters params, Provider provider)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a `Policy` object of the specified type.
`static Policy`
Policy.`getPolicy()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a `Policy` object that grants no permissions.
Methods in java.security with parameters of type Policy
Modifier and Type
Method
Description
`static void`
Policy.`setPolicy(Policy p)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `UnsupportedOperationException`.